Subject: Re: DSCP values in TCP handshake

From: Stephen Hemminger <[email-masked]>
Date: Mon, 18 Apr 2011 14:49:08 -0700

On Mon, 18 Apr 2011 21:16:35 +0200 (CEST)
Mikael Abrahamsson <[email-masked]> wrote:

> On Mon, 18 Apr 2011, Joe Buehler wrote:
> 
> > The argument I have seen for not making reflection standard behavior is 
> > that it is not always appropriate for the application.  For example, web 
> > servers have short requests but large responses so non-identical DSCP 
> > values might make more sense.
> 
> I'm a router guy. I don't understand this reasoning at all.
> 
> Anyone care to elaborate?
> 
> I'd like reflection be standard and have the application set DSCP if it 
> needs to.
> 

If the DSCP bits are reflected, then it could allow for even better
SYN flood attack. Attacker could maliciously set DSCP to elevate priority
processing of his bogus SYN packets and also cause SYN-ACK on reverse path
to also take priority.

--